weka.core.pmml.jaxbbindings

## Class SupportVectorMachine

- java.lang.Object
- - weka.core.pmml.jaxbbindings.SupportVectorMachine

-     public class SupportVectorMachine
      extends java.lang.Object

  Java class for SupportVectorMachine element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="SupportVectorMachine">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}SupportVectors" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Coefficients"/>
               </sequence>
               <attribute name="alternateTargetCategory" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="targetCategory" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="threshold" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupportVectorMachine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlternateTargetCategory()` Gets the value of the alternateTargetCategory property.
    `Coefficients` | `getCoefficients()` Gets the value of the coefficients property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `SupportVectors` | `getSupportVectors()` Gets the value of the supportVectors property.
    `java.lang.String` | `getTargetCategory()` Gets the value of the targetCategory property.
    `java.lang.Double` | `getThreshold()` Gets the value of the threshold property.
    `void` | `setAlternateTargetCategory(java.lang.String value)` Sets the value of the alternateTargetCategory property.
    `void` | `setCoefficients(Coefficients value)` Sets the value of the coefficients property.
    `void` | `setSupportVectors(SupportVectors value)` Sets the value of the supportVectors property.
    `void` | `setTargetCategory(java.lang.String value)` Sets the value of the targetCategory property.
    `void` | `setThreshold(java.lang.Double value)` Sets the value of the threshold property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SupportVectorMachine

          public SupportVectorMachine()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getSupportVectors

          public SupportVectors getSupportVectors()

      Gets the value of the supportVectors property.
      Returns:
        possible object is `SupportVectors`

    - #### setSupportVectors

          public void setSupportVectors(SupportVectors value)

      Sets the value of the supportVectors property.
      Parameters:
        `value` - allowed object is `SupportVectors`

    - #### getCoefficients

          public Coefficients getCoefficients()

      Gets the value of the coefficients property.
      Returns:
        possible object is `Coefficients`

    - #### setCoefficients

          public void setCoefficients(Coefficients value)

      Sets the value of the coefficients property.
      Parameters:
        `value` - allowed object is `Coefficients`

    - #### getAlternateTargetCategory

          public java.lang.String getAlternateTargetCategory()

      Gets the value of the alternateTargetCategory property.
      Returns:
        possible object is `String`

    - #### setAlternateTargetCategory

          public void setAlternateTargetCategory(java.lang.String value)

      Sets the value of the alternateTargetCategory property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTargetCategory

          public java.lang.String getTargetCategory()

      Gets the value of the targetCategory property.
      Returns:
        possible object is `String`

    - #### setTargetCategory

          public void setTargetCategory(java.lang.String value)

      Sets the value of the targetCategory property.
      Parameters:
        `value` - allowed object is `String`

    - #### getThreshold

          public java.lang.Double getThreshold()

      Gets the value of the threshold property.
      Returns:
        possible object is `Double`

    - #### setThreshold

          public void setThreshold(java.lang.Double value)

      Sets the value of the threshold property.
      Parameters:
        `value` - allowed object is `Double`